Subject: [clisp-list] Re: when does the .fas format file change?

From: Sam Steingold <[email-masked]>
Date: Tue Mar 12 07:38:05 2002

The FAS file format changes when the bytecode spec changes (rarely) or
when the signature of the 512 functions in FUNTAB1 & FUNTAB2 (eval.d)
changes.
E.g., in 2.28, WRITE, WRITE-TO-STRING and MAKE-HASH-TABLE were changed,
so this required FAS recompile.

(This is part of the reason I wanted weak HTs in 2.28 - so that the next
release will not require a FAS recompile.  I do realize that the users
hate this, and I try to minimize it.)

Adding another built-in does not require a full recompile.

-- 
Sam Steingold (http://www.podval.org/~sds) running RedHat7.2 GNU/Linux
Keep Jerusalem united! <http://www.onejerusalem.org/Petition.asp>
Read, think and remember! <http://www.iris.org.il> <http://www.memri.org/>
Nostalgia isn't what it used to be.